xine-lib: xine-lib-1.2.12/src/audio_dec/xine_a52_parser.h File Reference

xine-lib 1.2.12

Data Structures | Functions
xine_a52_parser.h File Reference
`#include <sys/types.h>`
`#include <xine/xine_internal.h>`
`#include <xine/xineutils.h>`

Go to the source code of this file.

## Data Structures
struct | xine_a52_parser_t

## Functions
static const char * | a52_channel_info (int a52_flags)
static void | a52_meta_info_set (xine_stream_t *stream, int a52_flags, int bit_rate, int sample_rate)
static void | do_swab (uint8_t *p, uint8_t *end)
static void | xine_a52_parser_reset (xine_a52_parser_t *this)
static size_t | xine_a52_parse_data (xine_a52_parser_t *this, xine_stream_t *stream, const uint8_t *data, size_t size)

## Function Documentation

## ◆ a52_channel_info()

static const char * a52_channel_info | ( | int | a52_flags | ) |
| static

References A52_2F1R, A52_2F2R, A52_3F, A52_3F1R, A52_3F2R, A52_CHANNEL_MASK, A52_DOLBY, A52_LFE, A52_MONO, and A52_STEREO.

Referenced by a52_meta_info_set().

## ◆ a52_meta_info_set()

static void a52_meta_info_set | ( | xine_stream_t * | stream,
|  | int | a52_flags,
|  | int | bit_rate,
|  | int | sample_rate
| ) |  |
| static

References _x_meta_info_set_utf8(), _x_stream_info_set(), a52_channel_info(), XINE_META_INFO_AUDIOCODEC, XINE_STREAM_INFO_AUDIO_BITRATE, and XINE_STREAM_INFO_AUDIO_SAMPLERATE.

Referenced by xine_a52_parse_data().

## ◆ do_swab()

static void do_swab | ( | uint8_t * | p,
|  | uint8_t * | end
| ) |  |
| static

References lprintf.

Referenced by a52dec_decode_data().

## ◆ xine_a52_parse_data()

static size_t xine_a52_parse_data | ( | xine_a52_parser_t * | this,
|  | xine_stream_t * | stream,
|  | const uint8_t * | data,
|  | size_t | size
| ) |  |
| static

References a52_meta_info_set(), a52_syncinfo(), lprintf, xine_stream_s::xine, xine_crc16_ansi(), XINE_VERBOSITY_DEBUG, and xprintf.

Referenced by a52dec_decode_data().

## ◆ xine_a52_parser_reset()

static void xine_a52_parser_reset | ( | xine_a52_parser_t * | this | ) |
| static

Referenced by a52dec_reset(), and open_plugin().